> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit an archive

> Allows you to submit an archive - encrypted or not - containing consumption data for processing.

An archive can contain following types of content (see details in "Body" section):
- Cyclic gaz indexes 
- Smart elec indexes
- Max powers
- Load curves

It is recommended to send a single type of content per archive.

Once the archive is sent, it is decompressed and each file it contains is processed.
No order is guaranteed for the file processing order nor the order of processing of requests within a file.

Since the processing is asynchronous, this endoint returns a URI to access the job status through a details report.




## OpenAPI

````yaml /api-reference/indexes-collect-api.yaml post /indexes-collect-jobs
openapi: 3.0.3
info:
  title: Indexes collect lifecycle
  description: |
    This API manages the indexes collection.
  contact:
    email: api@datanumia.com
  version: 0.0.1
servers:
  - url: https://api.home.datanumia.com/api/v2
    description: Production Server
security:
  - Bearer: []
paths:
  /indexes-collect-jobs:
    post:
      summary: Submit an archive
      description: >
        Allows you to submit an archive - encrypted or not - containing
        consumption data for processing.


        An archive can contain following types of content (see details in "Body"
        section):

        - Cyclic gaz indexes 

        - Smart elec indexes

        - Max powers

        - Load curves


        It is recommended to send a single type of content per archive.


        Once the archive is sent, it is decompressed and each file it contains
        is processed.

        No order is guaranteed for the file processing order nor the order of
        processing of requests within a file.


        Since the processing is asynchronous, this endoint returns a URI to
        access the job status through a details report.
      operationId: archive
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: string
              format: binary
              description: >-
                A .tar.gz archive containing the The json files to be processed.
                Each json file must respect the
                CyclicGasIndexRequestsFileContent or
                SmartElecIndexRequestsFileContent schemas described in this
                document.
            examples: {}
        description: "Only the .tar.gz archive format is valid. The archive must contain between 1 and 5 JSON files and its size cannot exceed 2,5 MB. \r\nEach JSON file can contain up to 10 000 indexes or 1500 load curves. \r\n\r\nExpected object formats for each content type are :  \r\n\r\n```withDatanumiaId json_schema\r\n{\r\n  \"type\": \"object\",\r\n  \"properties\": {\r\n    \"cyclicGasIndexes\": {\r\n      \"type\": \"array\",\r\n      \"items\": [\r\n        {\r\n          \"type\": \"object\",\r\n          \"properties\": {\r\n            \"siteId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Site identifier provided by Datanumia\",\r\n              \"example\": \"site-3000\"\r\n            },\r\n            \"podId\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Identifier of the point of delivery\",\r\n              \"example\":\"pdl-38\"\r\n            },\r\n            \"nature\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Indicates how the index was read and transmitted.\\n\\r If several indexes exist with the same ts, the nature will be used to priotitize the index to use for consumption calculation. \\n\\rInvalidating natures are used to invalidate an incorrect index.\",\r\n              \"enum\": [\"MKT_CYCLIC_DISTRIBUTOR\",\"MKT_ESTIMATION\",\"DTN_CUSTOMER_ACK\",\"MKT_CUSTOMER\",\"MKT_CYCLIC_DISTRIBUTOR_INVALID\",\"MKT_ESTIMATION_INVALID\",\"DTN_CUSTOMER_ACK_INVALID\",\"MKT_CUSTOMER_INVALID\"],\r\n              \"example\":\"MKT_CYCLIC_DISTRIBUTOR\"\r\n            },\r\n            \"ts\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Index reading date. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\":\"2021-07-21T22:00:00Z\"\r\n            },\r\n            \"generationTs\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date used to historize indexes for a given ts. \\n\\r When there are multiple indexes with the same ts value, the one with the most recent generationTs is used. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\": \"2022-05-17T14:28:37Z\"\r\n            },\r\n            \"indexBeforeChange\": {\r\n              \"type\": \"boolean\",\r\n              \"description\":\"Used for meter changes. \\n\\rThe index before the change must be sent with indexBeforeChange=true, the index after the change must be sent with indexBeforeChange=false. Both indexes must have the same timestamp.\",\r\n              \"example\":\"false\"\r\n            },\r\n            \"value\": {\r\n              \"type\": \"integer\",\r\n              \"description\": \"Index value\",\r\n              \"example\":\"1234\"\r\n            },\r\n            \"conversionFactors\": {\r\n              \"type\": \"object\",\r\n              \"description\":\"Indicates how to convert the index to another unit.\",\r\n              \"example\": \"{\\\"kWh\\\":\\\"10.3\\\"}\"\r\n            },\r\n            \"unit\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Index unit\",\r\n              \"example\": \"m3\"\r\n            }\r\n          },\r\n          \"required\": [\r\n            \"siteId\",\r\n            \"podId\",\r\n            \"nature\",\r\n            \"ts\",\r\n            \"generationTs\",\r\n            \"value\",\r\n            \"conversionFactors\",\r\n            \"unit\"\r\n          ]\r\n        }\r\n      ]\r\n    },\r\n    \"smartElecIndexes\": {\r\n      \"type\": \"array\",\r\n      \"items\": [\r\n        {\r\n          \"type\": \"object\",\r\n          \"properties\": {\r\n            \"siteId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Site identifier provided by Datanumia\",\r\n              \"example\": \"site-3000\"\r\n            },\r\n            \"podId\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Identifier of the point of delivery\",\r\n              \"example\":\"pdl-38\"\r\n            },\r\n            \"ts\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Index reading date. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\":\"2021-07-21T22:00:00Z\"\r\n            },\r\n            \"generationTs\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date used to historize indexes for a given ts. \\n\\r When there are multiple indexes with the same ts value, the one with the most recent generationTs is used. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\": \"2022-05-17T14:28:37Z\"\r\n            },\r\n            \"nature\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Indicates how the index was read and transmitted.\\n\\r If several indexes exist with the same ts, the nature will be used to priotitize the index to use for consumption calculation. \\n\\rInvalidating natures are used to invalidate an incorrect index.\",\r\n              \"enum\": [\"MKT_SMART_DISTRIBUTOR\",\"MKT_SMART_DISTRIBUTOR_INVALID\"],\r\n              \"example\":\"MKT_SMART_DISTRIBUTOR\"\r\n            },\r\n            \"value\": {\r\n              \"type\": \"object\",\r\n              \"description\":\"Set of dial numbers - related to the contract's tariff headings - and associated values ​​in watt-hours (Wh)\",\r\n              \"example\":\"{ \\\"1\\\":\\\"3143\\\", \\\"2\\\":\\\"6534\\\" }\"\r\n            }\r\n          },\r\n          \"required\": [\r\n            \"siteId\",\r\n            \"podId\",\r\n            \"ts\",\r\n            \"generationTs\",\r\n            \"nature\",\r\n            \"value\"\r\n          ]\r\n        }\r\n      ]\r\n    },\r\n    \"maxPowers\": {\r\n      \"type\": \"array\",\r\n      \"items\": [\r\n        {\r\n          \"type\": \"object\",\r\n          \"properties\": {\r\n            \"siteId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Site identifier provided by Datanumia\",\r\n              \"example\": \"site-3000\"\r\n            },\r\n            \"podId\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Identifier of the point of delivery\",\r\n              \"example\":\"pdl-38\"\r\n            },\r\n            \"ts\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Max power reading date. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\":\"2021-07-21T22:00:00Z\"\r\n            },\r\n            \"generationTs\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date used to historize max powers for a given ts. \\n\\r When there are multiple indexes with the same ts value, the one with the most recent generationTs is used. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\": \"2022-05-17T14:28:37Z\"\r\n            },\r\n            \"value\": {\r\n              \"type\": \"integer\",\r\n              \"description\": \"Max power value reached during the day, in watts (W)\",\r\n              \"example\": \"4700\"\r\n            }\r\n          },\r\n          \"required\": [\r\n            \"siteId\",\r\n            \"podId\",\r\n            \"ts\",\r\n            \"generationTs\",\r\n            \"value\"\r\n          ]\r\n        }\r\n      ]\r\n    },\r\n    \"loadCurves\": {\r\n      \"type\": \"array\",\r\n      \"items\": [\r\n        {\r\n          \"type\": \"object\",\r\n          \"properties\": {\r\n            \"siteId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Site identifier provided by Datanumia\",\r\n              \"example\": \"site-3000\"\r\n            },\r\n            \"podId\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Identifier of the point of delivery\",\r\n              \"example\":\"pdl-38\"\r\n            },\r\n            \"meterReadingDate\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date of the loadcurve reading\",\r\n              \"example\" : \"2025-11-10\" \r\n            },\r\n            \"generationTs\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date used to historize loadcurves for a given ts. \\n\\r When there are multiple indexes with the same ts value, the one with the most recent generationTs is used. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time time-offset\",\r\n              \"example\": \"2022-05-17T14:28:37+02:00\"\r\n            },\r\n            \"step\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Time step of the collected load curve. The supported format is as defined by ISO 8601\",\r\n              \"example\": \"PT30M\"\r\n            },\r\n            \"values\": {\r\n              \"type\": \"array\",\r\n              \"description\":\"Load curve data points related to the meterReadingDate, consisting in : a timstamp (begin or end of the time step), a value and a reliability index\",\r\n              \"items\": [\r\n                {\r\n                  \"type\": \"object\",\r\n                  \"properties\": {\r\n                    \"beginTs\": {\r\n                      \"type\": \"string\",\r\n                      \"description\": \"The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time time-offset\",\r\n                      \"example\": \"2025-05-14T00:00:00+02:00\"\r\n                    },\r\n                    \"value\": {\r\n                      \"type\": \"integer\",\r\n                      \"description\": \"Value of the load curbe data point, in Watts (W)\",\r\n                      \"example\": \"4838\"\r\n                    },\r\n                    \"reliability\": {\r\n                      \"type\": \"integer\",\r\n                      \"description\": \"Reliability index \\n\\r- 0: value is OK \\n\\r- 1: value potentially subject to verification \r\n                      \"enum\":[\"0\",\"1\"],\r\n                      \"example\":\"1\"\r\n                    }\r\n                  },\r\n                  \"required\": [\r\n                    \"beginTs\",\r\n                    \"value\",\r\n                    \"reliability\"\r\n                  ]\r\n                },\r\n                {\r\n                  \"type\": \"object\",\r\n                  \"properties\": {\r\n                    \"endTs\": {\r\n                      \"type\": \"string\",\r\n                      \"description\": \"The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time time-offset\",\r\n                      \"example\": \"2025-05-14T00:00:00+02:00\"\r\n                    },\r\n                    \"value\": {\r\n                      \"type\": \"integer\",\r\n                      \"description\": \"Value of the load curbe data point, in Watts (W)\",\r\n                      \"example\": \"4838\"\r\n                    },\r\n                    \"reliability\": {\r\n                      \"type\": \"integer\",\r\n                      \"description\": \"Reliability index \\n\\r- 0: value is OK \\n\\r- 1: value potentially subject to verification \r\n                      \"enum\":[\"0\",\"1\"],\r\n                      \"example\":\"1\"\r\n                    }\r\n                  },\r\n                  \"required\": [\r\n                    \"endTs\",\r\n                    \"value\",\r\n                    \"reliability\"\r\n                  ]\r\n                }\r\n              ]\r\n            }\r\n          },\r\n          \"required\": [\r\n            \"siteId\",\r\n            \"podId\",\r\n            \"meterReadingDate\",\r\n            \"generationTs\",\r\n            \"step\",\r\n            \"values\"\r\n          ]\r\n        }\r\n      ]\r\n    }\r\n  }\r\n}\r\n```\r\n\r\n```WithCustomerIds json_schema\r\n{\r\n  \"type\": \"object\",\r\n  \"properties\": {\r\n    \"cyclicGasIndexes\": {\r\n      \"type\": \"array\",\r\n      \"items\": [\r\n        {\r\n          \"type\": \"object\",\r\n          \"properties\": {\r\n            \"siteCustomerId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Site identifier provided by the Marketer\",\r\n              \"example\": \"site-3000\"\r\n            },\r\n            \"personCustomerId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Person identifier provided by the Marketer\",\r\n              \"example\": \"bp-3000\"\r\n            },\r\n            \"podId\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Identifier of the point of delivery\",\r\n              \"example\":\"pdl-38\"\r\n            },\r\n            \"nature\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Indicates how the index was read and transmitted.\\n\\r If several indexes exist with the same ts, the nature will be used to priotitize the index to use for consumption calculation. \\n\\rInvalidating natures are used to invalidate an incorrect index.\",\r\n              \"enum\": [\"MKT_CYCLIC_DISTRIBUTOR\",\"MKT_ESTIMATION\",\"DTN_CUSTOMER_ACK\",\"MKT_CUSTOMER\",\"MKT_CYCLIC_DISTRIBUTOR_INVALID\",\"MKT_ESTIMATION_INVALID\",\"DTN_CUSTOMER_ACK_INVALID\",\"MKT_CUSTOMER_INVALID\"],\r\n              \"example\":\"MKT_CYCLIC_DISTRIBUTOR\"\r\n            },\r\n            \"ts\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Index reading date. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\":\"2021-07-21T22:00:00Z\"\r\n            },\r\n            \"generationTs\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date used to historize indexes for a given ts. \\n\\r When there are multiple indexes with the same ts value, the one with the most recent generationTs is used. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\": \"2022-05-17T14:28:37Z\"\r\n            },\r\n            \"indexBeforeChange\": {\r\n              \"type\": \"boolean\",\r\n              \"description\":\"Is used for meter changes. \\n\\rThe index before the change must be sent with indexBeforeChange=true, the index after the change must be sent with indexBeforeChange=false. Both indexes must have the same timestamp.\",\r\n              \"example\":\"false\"\r\n            },\r\n            \"value\": {\r\n              \"type\": \"integer\",\r\n              \"description\": \"Index value\",\r\n              \"example\":\"1234\"\r\n            },\r\n            \"conversionFactors\": {\r\n              \"type\": \"object\",\r\n              \"description\":\"Indicates how to convert the index to another unit.\",\r\n              \"example\": \"{\\\"kWh\\\":\\\"10.3\\\"}\"\r\n            },\r\n            \"unit\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Index unit\",\r\n              \"example\": \"m3\"\r\n            }\r\n          },\r\n          \"required\": [\r\n            \"siteCustomerId\",\r\n            \"personCustomerId\",\r\n            \"podId\",\r\n            \"nature\",\r\n            \"ts\",\r\n            \"generationTs\",\r\n            \"value\",\r\n            \"conversionFactors\",\r\n            \"unit\"\r\n          ]\r\n        }\r\n      ]\r\n    },\r\n    \"smartElecIndexes\": {\r\n      \"type\": \"array\",\r\n      \"items\": [\r\n        {\r\n          \"type\": \"object\",\r\n          \"properties\": {\r\n            \"siteCustomerId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Site identifier provided by the Marketer\",\r\n              \"example\": \"site-3000\"\r\n            },\r\n            \"personCustomerId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Person identifier provided by the Marketer\",\r\n              \"example\": \"bp-3000\"\r\n            },\r\n            \"podId\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Identifier of the point of delivery\",\r\n              \"example\":\"pdl-38\"\r\n            },\r\n            \"ts\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Index reading date. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\":\"2021-07-21T22:00:00Z\"\r\n            },\r\n            \"generationTs\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date used to historize indexes for a given ts. \\n\\r When there are multiple indexes with the same ts value, the one with the most recent generationTs is used. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\": \"2022-05-17T14:28:37Z\"\r\n            },\r\n            \"nature\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Indicates how the index was read and transmitted.\\n\\r If several indexes exist with the same ts, the nature will be used to priotitize the index to use for consumption calculation. \\n\\rInvalidating natures are used to invalidate an incorrect index.\",\r\n              \"enum\": [\"MKT_SMART_DISTRIBUTOR\",\"MKT_SMART_DISTRIBUTOR_INVALID\"],\r\n              \"example\":\"MKT_SMART_DISTRIBUTOR\"\r\n            },\r\n            \"value\": {\r\n              \"type\": \"object\",\r\n              \"description\":\"Set of dial numbers - related to the contract's tariff headings - and associated values ​​in watt-hours (Wh)\",\r\n              \"example\":\"{ \\\"1\\\":\\\"3143\\\", \\\"2\\\":\\\"6534\\\" }\"\r\n            }\r\n          },\r\n          \"required\": [\r\n            \"siteCustomerId\",\r\n            \"personCustomerId\",\r\n            \"podId\",\r\n            \"ts\",\r\n            \"generationTs\",\r\n            \"nature\",\r\n            \"value\"\r\n          ]\r\n        }\r\n      ]\r\n    },\r\n    \"maxPowers\": {\r\n      \"type\": \"array\",\r\n      \"items\": [\r\n        {\r\n          \"type\": \"object\",\r\n          \"properties\": {\r\n            \"siteCustomerId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Site identifier provided by the Marketer\",\r\n              \"example\": \"site-3000\"\r\n            },\r\n            \"personCustomerId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Person identifier provided by the Marketer\",\r\n              \"example\": \"bp-3000\"\r\n            },\r\n            \"podId\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Identifier of the point of delivery\",\r\n              \"example\":\"pdl-38\"\r\n            },\r\n            \"ts\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Max power reading date. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\":\"2021-07-21T22:00:00Z\"\r\n            },\r\n            \"generationTs\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date used to historize max powers for a given ts. \\n\\r When there are multiple indexes with the same ts value, the one with the most recent generationTs is used. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'\",\r\n              \"example\": \"2022-05-17T14:28:37Z\"\r\n            },\r\n            \"value\": {\r\n              \"type\": \"integer\",\r\n              \"description\": \"Max power value reached during the day, in watts (W)\",\r\n              \"example\": \"4700\"\r\n            }\r\n          },\r\n          \"required\": [\r\n            \"siteCustomerId\",\r\n            \"personCustomerId\",\r\n            \"podId\",\r\n            \"ts\",\r\n            \"generationTs\",\r\n            \"value\"\r\n          ]\r\n        }\r\n      ]\r\n    },\r\n    \"loadCurves\": {\r\n      \"type\": \"array\",\r\n      \"items\": [\r\n        {\r\n          \"type\": \"object\",\r\n          \"properties\": {\r\n            \"siteCustomerId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Site identifier provided by the Marketer\",\r\n              \"example\": \"site-3000\"\r\n            },\r\n            \"personCustomerId\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"Person identifier provided by the Marketer\",\r\n              \"example\": \"bp-3000\"\r\n            },\r\n            \"podId\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Identifier of the point of delivery\",\r\n              \"example\":\"pdl-38\"\r\n            },\r\n            \"meterReadingDate\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date of the loadcurve reading\",\r\n              \"example\" : \"2025-11-10\" \r\n            },\r\n            \"generationTs\": {\r\n              \"type\": \"string\",\r\n              \"description\":\"Date used to historize loadcurves for a given ts. \\n\\r When there are multiple indexes with the same ts value, the one with the most recent generationTs is used. \\n\\rThe supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time time-offset\",\r\n              \"example\": \"2022-05-17T14:28:37+02:00\"\r\n            },\r\n            \"step\": {\r\n              \"type\": \"string\",\r\n              \"description\": \"The time step of the collected load curve. The supported format is as defined by ISO 8601\",\r\n              \"example\": \"PT30M\"\r\n            },\r\n            \"values\": {\r\n              \"type\": \"array\",\r\n              \"description\":\"Load curve data points related to the meterReadingDate, consisting in : a timstamp (begin or end of the time step), a value and a reliability index\",\r\n              \"items\": [\r\n                {\r\n                  \"type\": \"object\",\r\n                  \"properties\": {\r\n                    \"beginTs\": {\r\n                      \"type\": \"string\",\r\n                      \"description\": \"The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time time-offset\",\r\n                      \"example\": \"2025-05-14T00:00:00+02:00\"\r\n                    },\r\n                    \"value\": {\r\n                      \"type\": \"integer\",\r\n                      \"description\": \"Value of the load curbe data point, in Watts (W)\",\r\n                      \"example\": \"4838\"\r\n                    },\r\n                    \"reliability\": {\r\n                      \"type\": \"integer\",\r\n                      \"description\": \"Reliability index \\n\\r- 0: value is OK \\n\\r- 1: value potentially subject to verification \r\n                      \"enum\":[\"0\",\"1\"],\r\n                      \"example\":\"1\"\r\n                    }\r\n                  },\r\n                  \"required\": [\r\n                    \"beginTs\",\r\n                    \"value\",\r\n                    \"reliability\"\r\n                  ]\r\n                },\r\n                {\r\n                  \"type\": \"object\",\r\n                  \"properties\": {\r\n                    \"endTs\": {\r\n                      \"type\": \"string\",\r\n                      \"description\": \"The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time time-offset\",\r\n                      \"example\": \"2025-05-14T00:00:00+02:00\"\r\n                    },\r\n                    \"value\": {\r\n                      \"type\": \"integer\",\r\n                      \"description\": \"Value of the load curbe data point, in Watts (W)\",\r\n                      \"example\": \"4838\"\r\n                    },\r\n                    \"reliability\": {\r\n                      \"type\": \"integer\",\r\n                      \"description\": \"Reliability index \\n\\r- 0: value is OK \\n\\r- 1: value potentially subject to verification \r\n                      \"enum\":[\"0\",\"1\"],\r\n                      \"example\":\"1\"\r\n                    }\r\n                  },\r\n                  \"required\": [\r\n                    \"endTs\",\r\n                    \"value\",\r\n                    \"reliability\"\r\n                  ]\r\n                }\r\n              ]\r\n            }\r\n          },\r\n          \"required\": [\r\n            \"siteCustomerId\",\r\n            \"personCustomerId\",\r\n            \"podId\",\r\n            \"meterReadingDate\",\r\n            \"generationTs\",\r\n            \"step\",\r\n            \"values\"\r\n          ]\r\n        }\r\n      ]\r\n    }\r\n  }\r\n}\r\n```"
      responses:
        '200':
          description: >-
            Returns a job tracking URL \"GET /indexes-collect-jobs/{job-id}\" to
            access a detailed execution report.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobPostSwaggerDTO'
        '400':
          description: >-
            Since the API operates asynchronously (archive storage, then
            processing to avoid blocking the API), errors are not returned via
            an HTTP code but via the processing report whose URL is returned by
            the endpoint.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '413':
          description: "Request Entity Too Large\r\n\r\nWhen archive payload is > 2.5 MB"
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    JobPostSwaggerDTO:
      type: object
      properties:
        _links:
          $ref: '#/components/schemas/PostLink'
    ApiError:
      type: object
      properties:
        errorCode:
          type: string
          description: The error code.
        errorDescription:
          type: string
          description: The error description
      required:
        - errorCode
        - errorDescription
    PostLink:
      type: object
      properties:
        self:
          $ref: '#/components/schemas/Self'
    Self:
      type: object
      properties:
        href:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````